<template>
  <v-row>
    <v-col>
      <v-card>
        <v-list>
          <v-list-item>
            <v-list-item-title> Subtotal: ${{ subtotal }} </v-list-item-title>
          </v-list-item>
          <v-list-item>
            <v-list-item-subtitle>
              Delivery: ${{ delivery }}
            </v-list-item-subtitle>
          </v-list-item>
          <v-list-item>
            <v-list-item-title> Total: ${{ total }} </v-list-item-title>
          </v-list-item>
        </v-list>
      </v-card>
    </v-col>
  </v-row>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  props: {
    items: {
      type: Array,
      required: true,
    },
  },
  computed: {
    subtotal(): number {
      return this.items.reduce(
        (a: number, b: any) => a + (b.price || 0) * (b.quantity || 1),
        0
      ) as number
    },
    delivery(): number {
      return this.items.length > 0 ? 10 : 0
    },
    total(): number {
      return this.subtotal + this.delivery
    },
  },
})
</script>
